function grupoClientes() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geralPage = new Helper.geral();
	const protractorHelper = require('protractor-helper');

	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Parametrização', 'Pedidos', 'Grupo de Clientes']);
		geralPage.esperarLoading();
    };

    this.adicionarGrupoClientes = (codigo, nomeGrupoCliente1, informacaoGrupo1, tabelaDesconto1) => {
		geralPage.clickAndFllField('CDGRUPCLIE', codigo);
        geralPage.clickAndFllField('NMGRUPCLIE', nomeGrupoCliente1);
		geralPage.clickAndFllField('DSINFORMACAO', informacaoGrupo1);
		geralPage.searchAndClickGridField('NMTABDESC', tabelaDesconto1, 'NMTABDESC', '9009');
	};

	this.editarGrupoClientes = (nomeGrupoCliente2, informacaoGrupo2, tabelaDesconto2) => {
		geralPage.fillField('NMGRUPCLIE', nomeGrupoCliente2);
		geralPage.fillField('DSINFORMACAO', informacaoGrupo2);
		z.field.select.clickCloseIcon('NMTABDESC');
		geralPage.searchAndClickGridField('NMTABDESC', tabelaDesconto2, 'NMTABDESC', '9009');
	};

	this.apagarGrupoClientes = () => {
		geralPage.clickExcluir();
		geralPage.clickSim();
	};
}
module.exports = new grupoClientes();
